function setWeather () {
  var url="http://apple.accuweather.com/adcbin/apple/Apple_Weather_Data.asp?zipcode=ASI|JP|JA024|SENDAI|&metric=1";
  var httpRequest = new XMLHttpRequest();

  httpRequest.open("GET", url);
  httpRequest.overrideMimeType("text/xml");
  httpRequest.setRequestHeader('Cache-Control', 'no-cache'); 
  httpRequest.send(null); 
  httpRequest.onload = function() {xml_responded(httpRequest);}
}

function findChild (element, nodeName){
  var child;
	
  for (child = element.firstChild; child != null; child = child.nextSibling){
    if (child.nodeName == nodeName) return child;
  }
	
  return null;
}

function xml_responded (request) {
  var adc_Database = findChild(request.responseXML, "adc_Database");
  var current = findChild(adc_Database, "CurrentConditions");
  var city = findChild(current, "City").textContent;
  city = city.replace(/^\s*/, "").replace(/\s*$/, "");
  document.getElementById("city").innerText = city;
  
  var date, day, text, weathericon, high, low;
  var tag_day = request.responseXML.getElementsByTagName("day");
  for (var i = 0; i < tag_day.length; i++) {
      date = findChild(tag_day[i], "ObsDate").textContent;
      date = date.replace(/^\s*/, "").replace(/\s*$/, "");
      date = date.substring(0, date.lastIndexOf("/"));
      day = findChild(tag_day[i], "DayCode").textContent;
      day = day.replace(/^\s*/, "").replace(/\s*$/, "");
      weathericon = findChild(tag_day[i], "WeatherIcon").textContent;
      weathericon = weathericon.replace(/^\s*/, "").replace(/\s*$/, "");
      high = findChild(tag_day[i], "High_Temperature").textContent;
      high = high.replace(/^\s*/, "").replace(/\s*$/, "");
      low = findChild(tag_day[i], "Low_Temperature").textContent;
      low = low.replace(/^\s*/, "").replace(/\s*$/, "");
      
      document.getElementById("forecast"+i).style.backgroundImage = "url('/var/mobile/Applications/EA29E180-C479-47E8-823E-6A230AE48FDC/AccuWeather.app/" + weathericon +"@2x.png')";
      document.getElementById("date"+i).innerText = date;
      document.getElementById("day"+i).innerText = change_day(day);
      document.getElementById("temp"+i).innerHTML = '<font color="red">' + high + '</font> / <font color="blue">' + low + '</font>';
  }
}

function change_day(day) {
    if(day=="Sunday") return "日曜日";
    if(day=="Monday") return "月曜日";
    if(day=="Tuesday") return "火曜日";
    if(day=="Wednesday") return "水曜日";
    if(day=="Thursday") return "木曜日";
    if(day=="Friday") return "金曜日";
    if(day=="Saturday") return "土曜日";
}
